Subject: RE: How IPv6 host gets DNS address

From: [email-masked]
Date: Thu, 2 Oct 2003 10:08:16 +0100

I think the point that Doug was trying to make (although he can
certainly speak for himself) was that once you open the door to this,
the fact that all *you* wanted was the address of a recursive name
server will not be enough to prevent feature-creep.

Mat

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]] 
> Sent: 02 October 2003 06:04
> To: Doug Barton
> Cc: Bob Hinden; John Schnizlein; Soohong Daniel Park; [email-masked]
> Subject: Re: How IPv6 host gets DNS address
> 
> 
> On Wed, 1 Oct 2003, Doug Barton wrote:
> > The problem with this argument is that it's a slippery slope. 
> 
> Agreed here.
> 
> > It sounds
> > totally reasonable to say, "As long as we have X, we might as well
> > include Y." However, the address(es) of the recursive name servers
> > aren't that useful without a search list. 
> 
> Why do you need a search list?  I certainly don't.
> 
> Just remember which scenarios we'd be targeting the solution. 
>  The target 
> audience would _very probably_ *not* be the enterprise network.
> 
> > Then, once you get into a
> > windows environment you really need the netbios name server 
> address....
> 
> In an environment of one hop (e.g. home), the lookups can go 
> directly over 
> the LAN I think?  And in some cases, it isn't really 
> necessary, as Windows 
> environements may not be used at all in some environments 
> where this is 
> envisioned.
> 
> > etc. Once you get done with that, you've invented something 
> that looks
> > an awful lot like dhcp.
> 
> What if the mechanism is not meant to be an every-purpose 
> tool for service 
> discovery, but rather, for every specific purposes only?
> 
> The one example I personally have used a couple of times is 
> my laptop at 
> the IETF or in some other network I plug it to.  I don't care 
> less about 
> DHCP, NTP (the clock is good enough already), Windows 
> environments, search 
> paths, etc. -- I just want the DNS and be done with it..!
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> #-------------------------------------------------------------
> ---------
> # To unsubscribe, send a message to <[email-masked]>.
> 
#----------------------------------------------------------------------
# To unsubscribe, send a message to <[email-masked]>.